import tippy from 'tippy.js';
export class EdelTooltipComponent {
    constructor() {
        this.content = null;
    }
    render() {
        return (h("span", { class: "tippy" },
            h("slot", null)));
    }
    componentDidLoad() {
        const tooltipTemplate = document.createElement('div');
        tooltipTemplate.innerHTML = this.content || '';
        tooltipTemplate.className = 'tooltip';
        tippy('.tippy', {
            theme: 'edelog',
            animation: 'scale',
            duration: 0,
            distance: 20,
            html: tooltipTemplate
        });
    }
    static get is() { return "edel-tooltip"; }
    static get properties() { return {
        "content": {
            "type": String,
            "attr": "content",
            "watchCallbacks": ["componentDidLoad"]
        }
    }; }
    static get style() { return "/**style-placeholder:edel-tooltip:**/"; }
}
